For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
AI Hub
OverviewApp editorFlow editorAdminAPI & SDK
OverviewApp editorFlow editorAdminAPI & SDK
  • Overview
    • Using the API and SDK
    • Authorization
    • Response statuses
  • API & SDK guides
    • Run automation apps by SDK
  • API reference
      • POSTCreate secret
      • GETList secrets
      • PATCHUpdate secret
      • DELDelete secret
  • Legacy APIs
    • Job status
    • Run apps
    • Run results
    • Mount
AI Hub
API referenceSecrets

Update secret

PATCH
https://aihub.instabase.com/api/v2/aihub/secrets
PATCH
/api/v2/aihub/secrets
$curl -X PATCH "${API_ROOT}/v2/aihub/secrets" \
> -H "Authorization: Bearer ${API_TOKEN}" \
> -H "IB-Context: ${IB_CONTEXT}" \
> -H "Content-Type: application/json" \
> -d '{
> "alias": "my_secret",
> "value": "new password",
> "allowed_workspaces_type": "ALL"
> }'
200Updated
1{}
Update the description, value, or allowed workspaces for a secret. If a value for a parameter is not specified, it will remain the same. <Note>Only organization admins can update secrets.</Note>
Was this page helpful?
Previous

Delete secret

Next
Built with

Update the description, value, or allowed workspaces for a secret. If a value for a parameter is not specified, it will remain the same.

Only organization admins can update secrets.

Authentication

AuthorizationBearer
Bearer HTTP authentication.

Headers

IB-ContextstringOptional

Typically your organization ID. See Authorization and context identification for details.

Request

This endpoint expects an object.
aliasstringRequired
Name of the secret to update.
descriptionstringOptional
New description of the secret.
valuestringOptional
New content of the secret.
allowed_workspaces_typeenumOptional
New designation of which workspaces in this organization are allowed to use this secret in custom functions.
Allowed values:
allowed_workspaceslist of stringsOptional
New designation of which workspaces are allowed to use this secret, if only some are.

Response

Secret updated successfully.